- job:
    name: trigger-zephyr-upstream
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
    disabled: false
    node: triggers
    display-name: 'Trigger for Zephyr project (main)'
    scm:
        - git:
            url: https://github.com/zephyrproject-rtos/zephyr.git
            refspec: +refs/heads/main:refs/remotes/origin/main
            name: origin
            branches:
                - refs/heads/main
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
    triggers:
        - timed: 'H 21 * * *'
        - pollscm: 'H 9 * * *'
    wrappers:
        - timestamps
        - build-name:
            name: '#${BUILD_NUMBER}-${GIT_REVISION,length=8}'
    builders:
        - trigger-builds:
            - project: 'zephyr-upstream'
              predefined-parameters: GIT_COMMIT=${GIT_COMMIT}
